<?php
include ("conexion.php");

$consfolio=$_POST['folio'];

$clave=$_POST['clave'];
$devuelto=$_POST['devuelto'];

$fecha=date("Y-m-d");

//============== INSERTAR DEVUELTOS
$total= sizeof($devuelto);
for($x=0; $x < sizeof($devuelto); $x++)
{
	if ($devuelto[$x]=="" or $devuelto[$x] ==0)
	{	
		//echo "no se devolvio material de ".$clave[$x]."<br>";
	}
	else
	{
		$cons1="INSERT INTO devolucionesmaterial (idSalida,clave,fecha,cantidad) VALUES ('$consfolio','$clave[$x]','$fecha','$devuelto[$x]')";
		$res1=mysql_query($cons1,$conex) or die ("No se realizo cons1");	
	
		//$cons2="UPDATE contenido_salida SET entregado='No' WHERE idSalida='$consfolio' and idProducto='$clave[$x]'";
		//$res2=mysql_query($cons2,$conex) or die ("No se realizo cons2");
		
		$cons2="SELECT clasificacion FROM productos WHERE id='$clave[$x]'";
		$res2=mysql_query($cons2,$conex) or die ("No se consultó cons2");
		$clasi=mysql_result($res2,0,'clasificacion');
		
		if($clasi=="Contables fijos" or $clasi=="Contables variables")
		{
		/* ACTUALIZO INVENTARIO */
			$nuevaexist=0;
			$cons401="SELECT existencia FROM almacenes WHERE idProducto='$clave[$x]'" ;
			$res401=mysql_query($cons401,$conex) or die ("No se pudo consultar existencias cons401");
			$existencia=mysql_result($res401,0,'existencia');
				
			$nuevaexist=$existencia + $devuelto[$x];
				
			//$cons402="UPDATE almacenes SET existencia='$nuevaexist' WHERE idProducto='$clave[$x]'" ;
			//$res402=mysql_query($cons402,$conex) or die ("No se pudo actualizar existencia cons402");
		}
	}
}

?>
<script>
	location.href="ejecutardevolucion4.php?folio=<?php echo $consfolio;?>";
</script>

